Skip to main content
GET
Get Enrichment Job Status

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

job_id
string
required

Response

Successful Response

Response model for enrichment job status.

job_id
string
required

Job identifier

status
string
required

Current job status

Pattern: ^(queued|started|processing|finished|failed|cancelled)$
progress
integer
required

Progress percentage (0-100)

Required range: 0 <= x <= 100
total
integer
required

Total items to process

Required range: x >= 0
processed
integer
required

Successfully processed items

Required range: x >= 0
failed
integer
required

Failed items

Required range: x >= 0
started_at
string | null

Job start timestamp

completed_at
string | null

Job completion timestamp

estimated_remaining_minutes
integer | null

Estimated time remaining in minutes

credits_used
integer | null

Credits consumed so far

result
Result · object | null

Job result data if completed

error
string | null

Error message if failed